
#include <handler_creator/handler_creator.h>
#include <handler/handler.h>

HandlerCreator::HandlerCreator(char* name,char* author,char* version) : name(name), author(author), version(version), filename(NULL)
{

}

void HandlerCreator::set_filename(char* filename)
{
	this->filename = filename;
}

HandlerForRage* HandlerCreator::create()
{
	assert(filename);

	return new Handler(this->filename);
}

char* HandlerCreator::get_name()
{
	return this->name;
}

char* HandlerCreator::get_author()
{
	return this->author;
}

char* HandlerCreator::get_version()
{
	return this->version;
}

int AMXX_Attach_(PFN_REQ_FNPTR reqFnptrFunc);

int HandlerCreator::AMXX_Attach(PFN_REQ_FNPTR reqFnptrFunc)
{
	return AMXX_Attach_(reqFnptrFunc);
}
